%global modulename errno

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-errno
Version:        0.1.7
Release:        1%{?dist}
Summary:        libuv errno details exposed

License:        MIT
URL:            https://github.com/rvagg/node-errno#readme
Source0:        https://registry.npmjs.org/errno/-/errno-0.1.7.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(prr) >= 1.0.1 with npmlib(prr) < 1.1.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
libuv errno details exposed

%package 0.1.7
Summary:        libuv errno details exposed


%description 0.1.7
libuv errno details exposed

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr build.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cli.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr custom.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr errno.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/cli.js %{buildroot}/%{_bindir}/errno


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%{_bindir}/errno
%{nodejs_dir}/%{modulename}

%files 0.1.7
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.1.7-1
- Package automatically generated by npm2srpm
